Classes | Namespaces
HTMLAttribute.h File Reference

Class dealing with HTML element attributes. More...

`#include <string>`
`#include <iostream>`
`#include "CgiDefs.h"`
`#include "MStreamable.h"`

Go to the source code of this file.

## Classes
class | cgicc::HTMLAttribute
| Class representing a name or a single name/value pair. More...

## Namespaces
namespace | cgicc
| The namespace containing the cgicc library.

## Detailed Description

Class dealing with HTML element attributes.

For example, in the HTML code

    <br clear="all" />

`clear` is an attribute of the `br` element.

Definition in file HTMLAttribute.h.